Subject: Re: [bug#63380] [PATCH 0/4] Update pipewire and xdg-desktop-portal

From: Andrew Tropin <[email-masked]>
Date: Wed, 14 Jun 2023 13:50:03 +0400

On 2023-05-08 23:50, Benjamin wrote:

> Hello Guixers,
>
> These patches are updating components to be able to screencast from
> ungoogle-chromium. On my setup : wayland with sway, it was previously
> failing.

Hi Benjamin!

This thread was on my backlog, but I forgot about it, when was updating
xdg-desktop-portals, so I did it separately.  Screensharing via pipewire
now works again.  I applied your pipewire and wireplumber patches, thank
you very much.

>
> To be able, for screencast to work, pipewire, wireplumber
> xdg-desktop-portal and xdg-desktop-portal-wlr need to be running as
> explained in #52492.
>
> While updating pipewire, the upstream repo has been installing an rlimits
> file to /etc/security/limits.d/25-pw-rlimits.conf and this was failing
> during the installation phase.
>
> Such configuration file would be working with pam_limits service.
>
> I think it is possible to instead copy this file to the store (in
> /gnu/store/...pipewire.../etc/security/limits.d/ I guess).
> Though, while grepping I did not see such thing beeing done in another
> package. 
> I am pretty new to guix so I do not exactly know what should be done. But
> for now, I disabled the installation of this file using meson flag 
> -Drlimits-install=false

That's right, limits should be configured via pam-limits-service-type.

>
> Best
>
> Benjamin
>
>
> Benjamin (4):
>   gnu: pipewire: Update to 0.3.70.
>   gnu: wireplumber: Update to 0.4.14.
>   gnu: xdg-desktop-portal: Update to 1.16.0.
>   gnu: xdg-desktop-portal-wlr: Update to 0.7.0.
>
>  gnu/packages/freedesktop.scm |  9 +++++----
>  gnu/packages/linux.scm       | 16 +++++++++-------
>  2 files changed, 14 insertions(+), 11 deletions(-)
>
>
> base-commit: 28c2c570f80cc0b4e7302ad11cccc8ad600b3274

-- 
Best regards,
Andrew Tropin